package org.wfc.omada.api.device.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.Objects;

/**
 * FirmwareInfo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:26:25.576+08:00[Asia/Shanghai]")

public class FirmwareInfo   {
  @JsonProperty("id")
  private String id;

  @JsonProperty("name")
  private String name;

  @JsonProperty("modelTypeInfo")
  private ModelTypeInfoOpenApiVo modelTypeInfo;

  @JsonProperty("uploadTime")
  private Long uploadTime;

  @JsonProperty("description")
  private String description;

  public FirmwareInfo id(String id) {
    this.id = id;
    return this;
  }

  /**
   * ID
   * @return id
  */
  @ApiModelProperty(value = "ID")


  public String getId() {
    return id;
  }

  public void setId(String id) {
    this.id = id;
  }

  public FirmwareInfo name(String name) {
    this.name = name;
    return this;
  }

  /**
   * File name
   * @return name
  */
  @ApiModelProperty(value = "File name")


  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public FirmwareInfo modelTypeInfo(ModelTypeInfoOpenApiVo modelTypeInfo) {
    this.modelTypeInfo = modelTypeInfo;
    return this;
  }

  /**
   * Get modelTypeInfo
   * @return modelTypeInfo
  */
  @ApiModelProperty(value = "")

  @Valid

  public ModelTypeInfoOpenApiVo getModelTypeInfo() {
    return modelTypeInfo;
  }

  public void setModelTypeInfo(ModelTypeInfoOpenApiVo modelTypeInfo) {
    this.modelTypeInfo = modelTypeInfo;
  }

  public FirmwareInfo uploadTime(Long uploadTime) {
    this.uploadTime = uploadTime;
    return this;
  }

  /**
   * Uploaded timestamp (ms)
   * @return uploadTime
  */
  @ApiModelProperty(value = "Uploaded timestamp (ms)")


  public Long getUploadTime() {
    return uploadTime;
  }

  public void setUploadTime(Long uploadTime) {
    this.uploadTime = uploadTime;
  }

  public FirmwareInfo description(String description) {
    this.description = description;
    return this;
  }

  /**
   * Description of firmware
   * @return description
  */
  @ApiModelProperty(value = "Description of firmware")


  public String getDescription() {
    return description;
  }

  public void setDescription(String description) {
    this.description = description;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    FirmwareInfo firmwareInfo = (FirmwareInfo) o;
    return Objects.equals(this.id, firmwareInfo.id) &&
        Objects.equals(this.name, firmwareInfo.name) &&
        Objects.equals(this.modelTypeInfo, firmwareInfo.modelTypeInfo) &&
        Objects.equals(this.uploadTime, firmwareInfo.uploadTime) &&
        Objects.equals(this.description, firmwareInfo.description);
  }

  @Override
  public int hashCode() {
    return Objects.hash(id, name, modelTypeInfo, uploadTime, description);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class FirmwareInfo {\n");
    
    sb.append("    id: ").append(toIndentedString(id)).append("\n");
    sb.append("    name: ").append(toIndentedString(name)).append("\n");
    sb.append("    modelTypeInfo: ").append(toIndentedString(modelTypeInfo)).append("\n");
    sb.append("    uploadTime: ").append(toIndentedString(uploadTime)).append("\n");
    sb.append("    description: ").append(toIndentedString(description)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

